<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_name_ar', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'website_name_en', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'keywords_ar', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'keywords_en', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'meta_description_ar', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'meta_description_en', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'info@cms.com', 'created_at' => now()],
//            ['key' => 'site_address_ar', 'value' => 'NESMA-CNC', 'created_at' => now()],
//            ['key' => 'site_address_en', 'value' => 'NESMA-CNC', 'created_at' => now()],
            ['key' => 'site_phone', 'value' => '0500000000', 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'info@cms.com', 'created_at' => now()],
            ['key' => 'mail_port', 'value' => 587, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'info@cms.com', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'e4c5c123acd614', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => 'tls', 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'info@cms.com', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'NESMA-CNC', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'tiktok', 'value' =>'https://www.tiktok.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'snapchat', 'value' =>'https://www.snapchat.com', 'created_at' => now()],
            ['key' => 'career_link', 'value' =>'https://www.career.com', 'created_at' => now()],
//            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'assets/web/images/logo.svg', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
